__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >(3cxx)

NAME
__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >

SYNOPSIS

  Protected Member Functions

_Safe_vector (const _Safe_vector &) noexcept
_Safe_vector (size_type __n) noexcept
_Safe_vector (_Safe_vector &&__x) noexcept
bool _M_requires_reallocation (size_type __elements) const noexcept
void _M_update_guaranteed_capacity () noexcept
_Safe_vector & operator= (const _Safe_vector &) noexcept
_Safe_vector & operator= (_Safe_vector &&__x) noexcept

  Protected Attributes

size_type _M_guaranteed_capacity

Detailed Description

  template<typename _SafeSequence, typename _BaseSequence>
class __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >" Base class for Debug Mode vector.

Adds information about the guaranteed capacity, which is useful for detecting code which relies on non-portable implementation details of the libstdc++ reallocation policy.

Definition at line 48 of file debug/vector.

Author

Generated automatically by Doxygen for libstdc++ from the source code.